summaryrefslogtreecommitdiff
path: root/hooks/pre-up/3-void
diff options
context:
space:
mode:
authorMarc Coquand <marc@mccd.space>2024-05-09 21:23:28 -0500
committerMarc Coquand <marc@mccd.space>2024-05-09 21:23:28 -0500
commit3d7208853d0f7dfdee4c0aa26a65557414aea96f (patch)
tree607e68f9a5bc77599d0ad15eab678f1b6673244b /hooks/pre-up/3-void
parent8747402d7647d02d85f513cdd9d32410a6e17db6 (diff)
downloadrcm-3d7208853d0f7dfdee4c0aa26a65557414aea96f.tar.gz
rcm-3d7208853d0f7dfdee4c0aa26a65557414aea96f.tar.bz2
rcm-3d7208853d0f7dfdee4c0aa26a65557414aea96f.zip
Shell update
Diffstat (limited to 'hooks/pre-up/3-void')
-rwxr-xr-xhooks/pre-up/3-void15
1 files changed, 15 insertions, 0 deletions
diff --git a/hooks/pre-up/3-void b/hooks/pre-up/3-void
new file mode 100755
index 0000000..e0824c2
--- /dev/null
+++ b/hooks/pre-up/3-void
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+# We'll use xpkg from xtools to find installable packages
+if ! [ -x "$(command -v xpkg)" ]; then
+ sudo xbps-install xtools
+fi
+
+# Set up file sync
+if [ ! -f ~/repository.list ]; then
+ xpkg -m > ~/repository.list
+fi
+
+if [ ! "$(cat ~/repository.list | grep 'void-repo-nonfree')" ]; then
+ sudo xbps-install -Sy void-repo-nonfree
+fi